Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.uddi4j
Class UDDIElement

    java.lang.Object
      org.uddi4j.UDDIElement

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AccessPoint, AddPublisherAssertions, Address, AddressLine, AssertionStatusItem, AssertionStatusReport, AuthInfo, AuthToken, BindingDetail, BindingKey, BindingTemplate, BindingTemplates, BusinessDetail, BusinessDetailExt, BusinessEntity, BusinessEntityExt, BusinessInfo, BusinessInfos, BusinessKey, BusinessList, BusinessService, BusinessServices, CategoryBag, CompletionStatus, Contact, Contacts, DeleteBinding, DeleteBusiness, DeletePublisherAssertions, DeleteService, DeleteTModel, Description, DiscardAuthToken, DiscoveryURL, DiscoveryURLs, DispositionReport, Email, ErrInfo, FindBinding, FindBusiness, FindQualifier, FindQualifiers, FindRelatedBusinesses, FindService, FindTModel, FromKey, GetAssertionStatusReport, GetAuthToken, GetBindingDetail, GetBusinessDetail, GetBusinessDetailExt, GetPublisherAssertions, GetRegisteredInfo, GetServiceDetail, GetTModelDetail, HostingRedirector, IdentifierBag, InstanceDetails, InstanceParms, KeyedReference, KeysOwned, KeyValue, Name, OverviewDoc, OverviewURL, PersonName, Phone, PublisherAssertion, PublisherAssertions, RegisteredInfo, RelatedBusinessesList, RelatedBusinessInfo, RelatedBusinessInfos, Result, SaveBinding, SaveBusiness, SaveService, SaveTModel, ServiceDetail, ServiceInfo, ServiceInfos, ServiceKey, ServiceList, SetPublisherAssertions, SharedRelationships, TModel, TModelBag, TModelDetail, TModelInfo, TModelInfos, TModelInstanceDetails, TModelInstanceInfo, TModelKey, TModelList, ToKey, UploadRegister, ValidateValues

public abstract class UDDIElement
extends java.lang.Object
implements java.io.Serializable

Base class for an object representing UDDI XML elements.

Author:
  David Melgar (dmelgar@us.ibm.com), Ravi Trivedi (ravi_trivedi@hp.com)
See Also:
  Serialized Form

Field Summary
`protected org.w3c.dom.Element` | `base`
`static java.lang.String` | `GENERIC`
`static java.lang.String` | `SOAPNS`
`static java.lang.String` | `XMLNS`
`static java.lang.String` | `XMLNS_PREFIX`

Constructor Summary
`UDDIElement()`
`UDDIElement(org.w3c.dom.Element el)`

Method Summary
`org.w3c.dom.NodeList` | `getChildElementsByTagName(org.w3c.dom.Element el, java.lang.String tag)`
`protected java.lang.String` | `getText(org.w3c.dom.Node el)` Performs a utility function.
`abstract void` | `saveToXML(org.w3c.dom.Element base)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GENERIC

    public static java.lang.String GENERIC

### XMLNS

    public static java.lang.String XMLNS

### XMLNS_PREFIX

    public static java.lang.String XMLNS_PREFIX

### SOAPNS

    public static java.lang.String SOAPNS

### base

    protected org.w3c.dom.Element base

Constructor Detail

### UDDIElement

    public UDDIElement()

### UDDIElement

    public UDDIElement(org.w3c.dom.Element el)
                throws UDDIException

Method Detail

### saveToXML

    public abstract void saveToXML(org.w3c.dom.Element base)

### getText

    protected java.lang.String getText(org.w3c.dom.Node el)

  Performs a utility function. Returns text contained in child elements of the passed in element.

  Parameters:
    `el` - Element
  Returns:
    java.lang.String

### getChildElementsByTagName

    public org.w3c.dom.NodeList getChildElementsByTagName(org.w3c.dom.Element el,
                                                          java.lang.String tag)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 International Business Machines Corporation, Hewlett-Packard Company. All Rights Reserved.